<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping
                   https://raw.github.com/doctrine/doctrine2/master/doctrine-mapping.xsd">

    <entity name="App\Entity\Company" table="company">
        <id name="id" type="integer" column="id">
            <generator strategy="AUTO"/>
        </id>
        <field name="ownershipTypeId" type="integer"/>
        <field name="localityId" type="integer"/>
        <field name="name" length="255" unique="true"/>
        <field name="inn" type="bigint" unique="true" />
        <field name="address" length="512"/>
        <field name="phone" length="256"/>
        <field name="bank" length="256"/>
        <field name="checkingAccount" type="bigint" />
        <field name="bik" type="integer" />
        <field name="createdAt" type="datetime" />
        <field name="updatedAt" type="datetime" />
        <field name="deletedAt" type="datetime" nullable="true" />
    </entity>
</doctrine-mapping>